# Data Quality Framework Governance (DQFG)

Data Quality Framework Governance is a structured approach to assessing, monitoring, and improving the quality of data. 

An effective **Data Quality Framework** considers these dimensions and integrates them into a structured approach to ensure that data serves its intended purpose, supports informed decision-making, and maintains the trust of users and stakeholders. 

**Data Quality** is an ongoing process that requires continuous monitoring, assessment, and improvement to adapt to changing data requirements and evolving business needs.

**Package structure**

**1. Completeness**

    missing_values : Count the number of missing values in a DataFrame by passing dataframe as a parameter.
    completeness_percentage : Percentage of  missing values in a DataFrame by passing dataframe as a parameter.

**2. Uniqueness**

    duplicate_rows : Identify and display duplicate rows in a dataset by passing dataframe as a parameter.

**3. Datastats**

    count_rows : Count the number of rows in a DataFrame by passing dataframe as a parameter.
    count_columns : Count the number of columns in a DataFrame by passing dataframe as a parameter.
    count_dataset : Count the number of rows & columns in a DataFrame by passing dataframe as a parameter.

#Supporting python libraries:
- Pandas

[Homepage](https://github.com/RajithPrabakaran/DataQualityFrameworkGovernance)

[Bug Tracker](https://github.com/RajithPrabakaran/DataQualityFrameworkGovernance/issues)

[Github-flavored Markdown](https://guides.github.com/features/mastering-markdown/)